<template>
  <div class="h-16 bg-gray-900 flex items-center text-white">
    <div class="lg:w-4/5 md:w-11/12 m-auto flex flex-row justify-between">
      <div
        class="px-8 hover:bg-gray-800 h-16 flex items-center cursor-pointer"
        @click="goHome()"
      >
        Cuteshoots Admin
      </div>
      <div
        class="px-8 hover:bg-gray-800 h-16 flex items-center cursor-pointer"
        @click="logout()"
      >
        Logout
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { AuthService } from '@/core/services/identity/AuthService';
import { defineComponent } from 'vue';
import { useRouter } from 'vue-router';

export default defineComponent({
  name: 'dashboard-header',
  setup() {
    const router = useRouter();

    function goHome(): void {
      router.push('./');
    }

    function logout(): void {
      const authService = new AuthService();

      authService.logout();
    }

    return { goHome, logout };
  },
});
</script>
